<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::op_conv_valid&lt; M1, M2, flip_m2 &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1op__conv__valid.html">op_conv_valid</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1op__conv__valid-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::op_conv_valid&lt; M1, M2, flip_m2 &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a910287c84ada1f9f8ac96e2691d77421"><td class="memItemLeft" align="right" valign="top"><a id="a910287c84ada1f9f8ac96e2691d77421"></a>
typedef M1::type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a910287c84ada1f9f8ac96e2691d77421"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1da433ebdbaf9c91244a792eceaf6257"><td class="memItemLeft" align="right" valign="top"><a id="a1da433ebdbaf9c91244a792eceaf6257"></a>
typedef type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a1da433ebdbaf9c91244a792eceaf6257"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a522f53b8770372f4d0ae2511b772523c"><td class="memItemLeft" align="right" valign="top"><a id="a522f53b8770372f4d0ae2511b772523c"></a>
typedef M1::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a522f53b8770372f4d0ae2511b772523c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab914e6acb217f09929b888cff99618d3"><td class="memItemLeft" align="right" valign="top"><a id="ab914e6acb217f09929b888cff99618d3"></a>
typedef M1::layout_type&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:ab914e6acb217f09929b888cff99618d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a17e54f27cdad5ece6d3735bafb79690c"><td class="memItemLeft" align="right" valign="top"><a id="a17e54f27cdad5ece6d3735bafb79690c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>op_conv_valid</b> (const M1 &amp;m1_, const M2 &amp;m2_)</td></tr>
<tr class="separator:a17e54f27cdad5ece6d3735bafb79690c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89c70048240448393016dff551811d1a"><td class="memItemLeft" align="right" valign="top"><a id="a89c70048240448393016dff551811d1a"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>apply</b> (long r, long c) const</td></tr>
<tr class="separator:a89c70048240448393016dff551811d1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d596aa1983f75f724fb97f1f51abc37"><td class="memItemLeft" align="right" valign="top"><a id="a6d596aa1983f75f724fb97f1f51abc37"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a6d596aa1983f75f724fb97f1f51abc37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbdb537757e9a4c895bd077fe415c13a"><td class="memItemLeft" align="right" valign="top"><a id="acbdb537757e9a4c895bd077fe415c13a"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:acbdb537757e9a4c895bd077fe415c13a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c2975544f2476e589133c82b2d3da18"><td class="memTemplParams" colspan="2"><a id="a9c2975544f2476e589133c82b2d3da18"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:a9c2975544f2476e589133c82b2d3da18"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a9c2975544f2476e589133c82b2d3da18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87636e17cbb72a3e405da6f6881d5fe4"><td class="memTemplParams" colspan="2"><a id="a87636e17cbb72a3e405da6f6881d5fe4"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:a87636e17cbb72a3e405da6f6881d5fe4"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; U &gt; &amp;item) const</td></tr>
<tr class="separator:a87636e17cbb72a3e405da6f6881d5fe4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:abd9b1db8efcf2108713249d8d1d10721"><td class="memItemLeft" align="right" valign="top"><a id="abd9b1db8efcf2108713249d8d1d10721"></a>
const M1 &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m1</b></td></tr>
<tr class="separator:abd9b1db8efcf2108713249d8d1d10721"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad92f0613be3a1424b6a13b1cd5df1a2"><td class="memItemLeft" align="right" valign="top"><a id="aad92f0613be3a1424b6a13b1cd5df1a2"></a>
const M2 &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m2</b></td></tr>
<tr class="separator:aad92f0613be3a1424b6a13b1cd5df1a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdcf86dafde00fc6b87fd28a9008e9e3"><td class="memItemLeft" align="right" valign="top"><a id="afdcf86dafde00fc6b87fd28a9008e9e3"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr_</b></td></tr>
<tr class="separator:afdcf86dafde00fc6b87fd28a9008e9e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80fd90ee91195359bad9c84ea5af0110"><td class="memItemLeft" align="right" valign="top"><a id="a80fd90ee91195359bad9c84ea5af0110"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc_</b></td></tr>
<tr class="separator:a80fd90ee91195359bad9c84ea5af0110"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:abe9de82986a6fd771a3285d3dab1dd50"><td class="memItemLeft" align="right" valign="top"><a id="abe9de82986a6fd771a3285d3dab1dd50"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = (M1::cost+M2::cost)*10</td></tr>
<tr class="separator:abe9de82986a6fd771a3285d3dab1dd50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc3f82e5c5e9f8188ecd771195ec2278"><td class="memItemLeft" align="right" valign="top"><a id="acc3f82e5c5e9f8188ecd771195ec2278"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = (M1::NR*M2::NR==0) ? (0) : (M1::NR-M2::NR+1)</td></tr>
<tr class="separator:acc3f82e5c5e9f8188ecd771195ec2278"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf74472d926c454aa596f59ffd67ee8e"><td class="memItemLeft" align="right" valign="top"><a id="adf74472d926c454aa596f59ffd67ee8e"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = (M1::NC*M2::NC==0) ? (0) : (M1::NC-M2::NC+1)</td></tr>
<tr class="separator:adf74472d926c454aa596f59ffd67ee8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="matrix__conv_8h_source.html">matrix_conv.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
